aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/function/terraform.sh
diff options
context:
space:
mode:
Diffstat (limited to 'resources/libraries/bash/function/terraform.sh')
-rw-r--r--resources/libraries/bash/function/terraform.sh12
1 files changed, 9 insertions, 3 deletions
diff --git a/resources/libraries/bash/function/terraform.sh b/resources/libraries/bash/function/terraform.sh
index 567fc78f06..5313b62545 100644
--- a/resources/libraries/bash/function/terraform.sh
+++ b/resources/libraries/bash/function/terraform.sh
@@ -34,7 +34,7 @@ function terraform_apply () {
pushd "${CSIT_DIR}"/fdio.infra.terraform || die "Pushd failed!"
pushd "${NODENESS}_${FLAVOR}_c5n" || die "Pushd failed!"
export TF_LOG=INFO
- terraform apply -auto-approve || die "Failed to run terraform apply!"
+ terraform apply -no-color -auto-approve || die "Terraform apply failed!"
popd || die "Popd failed!"
popd || die "Popd failed!"
}
@@ -57,7 +57,7 @@ function terraform_destroy () {
pushd "${CSIT_DIR}"/fdio.infra.terraform || die "Pushd failed!"
pushd "${NODENESS}_${FLAVOR}_c5n" || die "Pushd failed!"
export TF_LOG=INFO
- terraform destroy -auto-approve || die "Failed to run terraform destroy!"
+ terraform destroy -auto-approve -no-color || die "Terraform destroy failed!"
popd || die "Popd failed!"
popd || die "Popd failed!"
}
@@ -75,7 +75,13 @@ function terraform_init () {
set -exuo pipefail
if ! installed terraform; then
- die "Please install terraform!"
+ curl -fsSL https://apt.releases.hashicorp.com/gpg | sudo apt-key add -
+ os="$(lsb_release -cs)" || die "Failed to get OS release!"
+ repo="deb [arch=amd64] https://apt.releases.hashicorp.com ${os} main"
+ sudo apt-add-repository "${repo}" || die "Failed to add repo!"
+ apt update -y
+ apt install -y terraform
+ #die "Please install terraform!"
fi
pushd "${CSIT_DIR}"/fdio.infra.terraform || die "Pushd failed!"